%define name garlic
%define version 1.2
%define prefix %{_prefix}
%define release 2mdk
%define summary Free molecular viewer and editor

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Physics
Source0: http://pref.etfos.hr/garlic-%{version}/source//%{name}-%{version}.tar.bz2
Source1: http://pref.etfos.hr/garlic-%{version}/source//%{name}-%{version}-doc.tar.bz2
URL: http://pref.etfos.hr/garlic/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Garlic is a full-featured molecular viewer and editor.  It is 
intended mainly for biological macromolecules (proteins and DNA) 
in PDB format.  It can also render high-quality images for 
presentations or publishing.

%prep
%setup -q -a 1
mv garlic-1.2 doc
perl -pi -e "s/^CCOPT.*/CCOPT = $RPM_OPT_FLAGS/" Makefile

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m755 garlic $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}
install -m644 .garlicrc *.pdb $RPM_BUILD_ROOT/%{_libdir}/%{name}

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="garlic"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="Garlic"\
icon="chemistry_section.png"\
longtitle="3D Molecule Viewer"
EOF

%post 
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README HISTORY BUGS *.script doc
%{_bindir}/*
%{_libdir}/%{name}
%{_menudir}/%{name}

%changelog
* Sun Nov 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk
- add menu macros
- from Austin Acton <aacton@yorku.ca> :
	- add menu entry and threaded build
	- expand description

* Fri Sep 20 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-1mdk
- first mdk package
